import {NgModule} from '@angular/core';
import {InputComponent} from "./input.component";
import {SharedModule} from "../../shared/shared.module";
import {MatFormFieldModule} from "@angular/material/form-field";
import {MatInputModule} from "@angular/material/input";
import {MatSelectModule} from "@angular/material/select";
import {MatCheckboxModule} from '@angular/material/checkbox';
import {IconsModule} from "../../utils/icons/icons.module";
import {IconsService} from "../../utils/icons/icons.service";
import {lock, remove_circle} from "../../utils/icons/icons";
import {MatChipsModule} from "@angular/material/chips";
import {MatAutocompleteModule} from "@angular/material/autocomplete";
import {MatIconModule} from "@angular/material/icon";
import {SafeHtmlPipeModule} from "../../utils/pipes/safeHTMLPipe.module";

@NgModule({
  imports: [
    SharedModule,
    MatFormFieldModule,
    MatInputModule,
    MatSelectModule,
    MatCheckboxModule,
    IconsModule,
    MatChipsModule,
    MatAutocompleteModule,
    MatIconModule,
    SafeHtmlPipeModule
  ],
  exports: [
    InputComponent
  ],
  declarations: [
    InputComponent
  ]
})
export class InputModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([lock, remove_circle]);
  }
}
