import {Component} from "@angular/core";

@Component({
  selector: 'icons-preview',
  template: `
    <div class="uk-section uk-container uk-container-large" style="font-size: 14px;">
      <h4 class="uk-text-bold">Icons</h4>
      <div class="uk-grid uk-grid-small uk-child-width-1-6" uk-grid>
        <div class="uk-text-center">
          <icon name="arrow_left"></icon>
          <div class="uk-text-bold uk-margin-small-top">arrow_left</div>
        </div>
        <div class="uk-text-center">
          <icon name="arrow_right"></icon>
          <div class="uk-text-bold uk-margin-small-top">arrow_right</div>
        </div>
        <div class="uk-text-center">
          <icon name="arrow_up"></icon>
          <div class="uk-text-bold uk-margin-small-top">arrow_up</div>
        </div>
        <div class="uk-text-center">
          <icon name="arrow_down"></icon>
          <div class="uk-text-bold uk-margin-small-top">arrow_down</div>
        </div>
        <div class="uk-text-center">
          <icon name="book"></icon>
          <div class="uk-text-bold uk-margin-small-top">book</div>
        </div>
        <div class="uk-text-center">
          <icon name="database"></icon>
          <div class="uk-text-bold uk-margin-small-top">database</div>
        </div>
        <div class="uk-text-center">
          <icon name="cog"></icon>
          <div class="uk-text-bold uk-margin-small-top">cog</div>
        </div>
        <div class="uk-text-center">
          <icon name="earth"></icon>
          <div class="uk-text-bold uk-margin-small-top">earth</div>
        </div>
        <div class="uk-text-center">
          <icon name="edit"></icon>
          <div class="uk-text-bold uk-margin-small-top">edit</div>
        </div>
        <div class="uk-text-center">
          <icon name="remove"></icon>
          <div class="uk-text-bold uk-margin-small-top">remove</div>
        </div>
        <div class="uk-text-center">
          <icon name="preview"></icon>
          <div class="uk-text-bold uk-margin-small-top">preview</div>
        </div>
        <div class="uk-text-center">
          <icon name="bullet"></icon>
          <div class="uk-text-bold uk-margin-small-top">bullet</div>
        </div>
        <div class="uk-text-center">
          <icon name="remove_circle"></icon>
          <div class="uk-text-bold uk-margin-small-top">remove_circle</div>
        </div>
        <div class="uk-text-center">
          <icon name="remove_circle_outline"></icon>
          <div class="uk-text-bold uk-margin-small-top">remove_circle_outline</div>
        </div>
        <div class="uk-text-center">
          <icon name="person_add"></icon>
          <div class="uk-text-bold uk-margin-small-top">person_add</div>
        </div>
        <div class="uk-text-center">
          <icon name="cloud_upload"></icon>
          <div class="uk-text-bold uk-margin-small-top">cloud_upload</div>
        </div>
        <div class="uk-text-center">
          <icon name="add"></icon>
          <div class="uk-text-bold uk-margin-small-top">add</div>
        </div>
        <div class="uk-text-center">
          <icon name="group"></icon>
          <div class="uk-text-bold uk-margin-small-top">group</div>
        </div>
        <div class="uk-text-center">
          <icon name="lock"></icon>
          <div class="uk-text-bold uk-margin-small-top">lock</div>
        </div>
        <div class="uk-text-center">
          <icon name="search"></icon>
          <div class="uk-text-bold uk-margin-small-top">search</div>
        </div>
        <div class="uk-text-center">
          <icon name="refresh"></icon>
          <div class="uk-text-bold uk-margin-small-top">refresh</div>
        </div>
        <div class="uk-text-center">
          <icon name="close"></icon>
          <div class="uk-text-bold uk-margin-small-top">close</div>
        </div>
        <div class="uk-text-center">
          <icon name="done"></icon>
          <div class="uk-text-bold uk-margin-small-top">done</div>
        </div>
        <div class="uk-text-center">
          <icon name="mail"></icon>
          <div class="uk-text-bold uk-margin-small-top">mail</div>
        </div>
        <div class="uk-text-center">
          <icon name="photo"></icon>
          <div class="uk-text-bold uk-margin-small-top">photo</div>
        </div>
        <div class="uk-text-center">
          <icon name="check_circle_outlined"></icon>
          <div class="uk-text-bold uk-margin-small-top">check_circle_outlined</div>
        </div>
      </div>
      <div class="uk-margin-medium-top">
        <h4 class="uk-text-bold">Usage</h4>
        <ul class="uk-list">
          <li>1. Import IconsModule</li>
          <li>2. Add this to your module with these icons you will need<br>
            <div class="uk-margin-top">
              <pre><code>constructor(private iconsService: IconsService) {{ "{" }}
   this.iconsService.registerIcons([edit]);
{{ "}" }}</code></pre>
            </div>
          </li>
          <li>3. Use an icon with icon tag. Add parameter ratio to scale this icon. Default size 20x20 (ratio: 1)<br>
            <div class="uk-margin-top">
              <pre><code>{{'<'}}icon name="edit"{{'><'}}/icon{{'>'}}</code></pre>
            </div>
          </li>
          <li>4. Add a color class in parent of icon to give your icon a color.<br>
            <div class="uk-margin-top">
              <pre><code>{{'<'}}div class="uk-text-secondary"{{'>'}}
  {{'<'}}icon name="edit"{{'><'}}/icon{{'>'}}
{{'<'}}/div{{'>'}}</code></pre>
            </div>
          </li>
        </ul>
      </div>
      <div class="uk-margin-medium-top">
        <h4 class="uk-text-bold">Add a new icon</h4>
        <ul class="uk-list">
          <li>1. Go to <a href="https://material.io/resources/icons/?style=baseline">Material Icons</a></li>
          <li>2. Find your icon and download it as svg.</li>
          <li>3. Open svg file with an editor and change width and height to 20</li>
          <li>4. Create an entry on icons file with your new icon.</li>
        </ul>
      </div>
    </div>
  `
})
export class IconsPreviewComponent {

}
